Erro no servidor ao limpar o cache

Olá Mestre, estou com um Erro no servidor ao limpar o cache, ele derruba o servidor e da esta mensagem:

wo clean --all
Cleaning NGINX FastCGI cache
Testing Nginx configuration     [OK]
Cleaning opcache                [..]
Traceback (most recent call last):
  File "/opt/wo/lib/python3.7/site-packages/urllib3/connection.py", line 175, in _new_conn
    (self._dns_host, self.port), self.timeout, **extra_kw
  File "/opt/wo/lib/python3.7/site-packages/urllib3/util/connection.py", line 95, in create_connection
    raise err
  File "/opt/wo/lib/python3.7/site-packages/urllib3/util/connection.py", line 85, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/wo/lib/python3.7/site-packages/urllib3/connectionpool.py", line 710, in urlopen
    chunked=chunked,
  File "/opt/wo/lib/python3.7/site-packages/urllib3/connectionpool.py", line 398, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/opt/wo/lib/python3.7/site-packages/urllib3/connection.py", line 239, in request
    super(HTTPConnection, self).request(method, url, body=body, headers=headers)
  File "/usr/lib/python3.7/http/client.py", line 1260, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1306, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1255, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1030, in _send_output
    self.send(msg)
  File "/usr/lib/python3.7/http/client.py", line 970, in send
    self.connect()
  File "/opt/wo/lib/python3.7/site-packages/urllib3/connection.py", line 205, in connect
    conn = self._new_conn()
  File "/opt/wo/lib/python3.7/site-packages/urllib3/connection.py", line 187, in _new_conn
    self, "Failed to establish a new connection: %s" % e
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f8800dd37f0>: Failed to establish a new connection: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/wo/lib/python3.7/site-packages/requests/adapters.py", line 450, in send
    timeout=timeout
  File "/opt/wo/lib/python3.7/site-packages/urllib3/connectionpool.py", line 786, in urlopen
    method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
  File "/opt/wo/lib/python3.7/site-packages/urllib3/util/retry.py", line 592, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='127.0.0.1', port=80): Max retries exceeded with url: /cache/opcache/php74.php (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f8800dd37f0>: Failed to establish a new connection: [Errno 111] Connection refused'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/wo", line 8, in <module>
    sys.exit(main())
  File "/opt/wo/lib/python3.7/site-packages/wo/cli/main.py", line 102, in main
    app.run()
  File "/opt/wo/lib/python3.7/site-packages/cement/core/foundation.py", line 882, in run
    return_val = self.controller._dispatch()
  File "/opt/wo/lib/python3.7/site-packages/cement/core/controller.py", line 471, in _dispatch
    return func()
  File "/opt/wo/lib/python3.7/site-packages/cement/core/controller.py", line 477, in _dispatch
    return func()
  File "/opt/wo/lib/python3.7/site-packages/wo/cli/plugins/clean.py", line 45, in default
    self.clean_opcache()
  File "/opt/wo/lib/python3.7/site-packages/wo/cli/plugins/clean.py", line 89, in clean_opcache
    "http://127.0.0.1/cache/opcache/php74.php")
  File "/opt/wo/lib/python3.7/site-packages/requests/api.py", line 75, in get
    return request('get', url, params=params, **kwargs)
  File "/opt/wo/lib/python3.7/site-packages/requests/api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "/opt/wo/lib/python3.7/site-packages/requests/sessions.py", line 529, in request
    resp = self.send(prep, **send_kwargs)
  File "/opt/wo/lib/python3.7/site-packages/requests/sessions.py", line 645, in send
    r = adapter.send(request, **kwargs)
  File "/opt/wo/lib/python3.7/site-packages/requests/adapters.py", line 519, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host='127.0.0.1', port=80): Max retries exceeded with url: /cache/opcache/php74.php (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f8800dd37f0>: Failed to establish a new connection: [Errno 111] Connection refused'))

Sabes me informar o que posso fazer para solucionar isto, Grato por sua atenção Mestre…

Esse erro nunca aconteceu por aqui.
Pode me informar a versão do sistema operacional do servidor?

Mas uma possível solução é atualizar o WordOps.
Sendo assim, faz um snapshot do servidor e em seguida executa a atualização com wo update.

Olá mestre, atualizei e ele ainda continua dando um erro agora desta forma:

Testing Nginx configuration     [OK]
Reloading Nginx                 [OK]
Testing Nginx configuration     [OK]
Reloading Nginx                 [OK]
Traceback (most recent call last):
  File "/usr/local/bin/wo", line 8, in <module>
    sys.exit(main())
  File "/opt/wo/lib/python3.7/site-packages/wo/cli/main.py", line 102, in main
    app.run()
  File "/opt/wo/lib/python3.7/site-packages/cement/core/foundation.py", line 882, in run
    return_val = self.controller._dispatch()
  File "/opt/wo/lib/python3.7/site-packages/cement/core/controller.py", line 471, in _dispatch
    return func()
  File "/opt/wo/lib/python3.7/site-packages/cement/core/controller.py", line 471, in _dispatch
    return func()
  File "/opt/wo/lib/python3.7/site-packages/cement/core/controller.py", line 477, in _dispatch
    return func()
  File "/opt/wo/lib/python3.7/site-packages/wo/cli/plugins/site_update.py", line 143, in default
    self.doupdatesite(pargs)
  File "/opt/wo/lib/python3.7/site-packages/wo/cli/plugins/site_update.py", line 852, in doupdatesite
    if 'wo_db_name' in data.keys() and not data['wp']:
KeyError: 'wp'

Achei esta resposta no wordops, sabes me informar como devo proceder não entendi direito: (no link abaixo…)

https://docs.wordops.net/troubleshooting/common-issues/

Os comandos do WordOps não estão funcionando

Se a saída de erro for semelhante a:

Traceback (most recent call last):
  File "/usr/local/bin/wo", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3088, in <module>
    @_call_aside
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3072, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 3101, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 574, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 892, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 778, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'wo==3.9.8.2' distribution was not found and is required by the application

Basta remover o executável /usr/local/bin/wo e reinstalar o WordOps:

sudo rm -f /usr/local/bin/wo && wget -qO wo wops.cc && sudo bash wo

Se o problema persistir, abra um problema no repositório do GitHub.

Qual é a versão do sistema operacional do seu servidor?

Debian 10 (64 Bit).

Já estou pensando em reinstalar tudo do zero, baixar meus sites e zerar tudo… não vejo outra alternativa, … :pensive:

Vamos lá.
Como está com sistema Deian 10 que está completamente compatível com WordOps recomendaria seguir com a instrução acima repassada pelo fórum do WordOps.

No caso, bata executar o comando:
sudo rm -f /usr/local/bin/wo && wget -qO wo wops.cc && sudo bash wo

1 curtida

Reinstalei todo o servidor e atualizei para debian 11. Só que ainda continuo com o erro ao tentar atualizar o site com o comando (wo site update dominio.tld --ngxblocker) me apresenta o seguinte erro:

Testing Nginx configuration     [OK]
Reloading Nginx                 [OK]
Testing Nginx configuration     [OK]
Reloading Nginx                 [OK]
Traceback (most recent call last):
  File "/usr/local/bin/wo", line 8, in <module>
    sys.exit(main())
  File "/opt/wo/lib/python3.9/site-packages/wo/cli/main.py", line 102, in main
    app.run()
  File "/opt/wo/lib/python3.9/site-packages/cement/core/foundation.py", line 882, in run
    return_val = self.controller._dispatch()
  File "/opt/wo/lib/python3.9/site-packages/cement/core/controller.py", line 471, in _dispatch
    return func()
  File "/opt/wo/lib/python3.9/site-packages/cement/core/controller.py", line 471, in _dispatch
    return func()
  File "/opt/wo/lib/python3.9/site-packages/cement/core/controller.py", line 477, in _dispatch
    return func()
  File "/opt/wo/lib/python3.9/site-packages/wo/cli/plugins/site_update.py", line 143, in default
    self.doupdatesite(pargs)
  File "/opt/wo/lib/python3.9/site-packages/wo/cli/plugins/site_update.py", line 852, in doupdatesite
    if 'wo_db_name' in data.keys() and not data['wp']:

Pesquisei e achei este link com a seguinte sugestão:

https://community.wordops.net/d/578-traceback-most-recent-call-last-file-usrlocalbinwo

Acho que respondi essa mesma pergunta pelo menos quatro vezes antes.

Apesar da mensagem, o comando é executado normalmente. Você pode verificar inspecionando.

/var/www/domain.com/conf/nginx/ngxblocker.conf

O bug será corrigido em uma próxima versão do WordOps.

Segundo o que ele diz ele comenta que o comando funciona da mesma forma, ele me retorna a seguinte expressão?

/var/www/souzabank.pro/conf/nginx/ngxblocker.conf
bash: /var/www/souzabank.pro/conf/nginx/ngxblocker.conf: Permission denied

Eu não entendi isso, está correto?
O comando funcionou mesmo??

Grato por sua atenção…

Sim.
Está correto.
Esse retorno é um tipo de log que é exibido sem necessidade.
Mesmo com este retorno o Nginx Bad Blocker é instalado e ativado corretamente.

1 curtida

Grato mestre pela sua atenção…

Mestre Gabriel, aproveitando uma dúvida, o plugin de segurança Cerber Security, foi retirado do Portfolio do WP, e segundo eles não tem data para retornar.
Por um acaso vc tem alguma indicação de um outro que vc ache bom para segurança do wp.


Acabei de instalar o plugin SiteGround Security poxa achei bem interessante ele, se vc Mestre poder dar uma olhada e nos passar algumas dicas seria ótimo.
Principalmente, na questão que ele deixa modificar a url para login do wp-admin. Eu queria fazer mas estou com receio um pouco, será que vai funcionar se inserirmos no cloudflare depois corretamente?

mais uma vez grato por sua atenção…